Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.irplugin.gui.dndobjects
Class FileObject

    java.lang.Object
      it.businesslogic.ireport.gui.library.AbstractLibraryObject
          com.jaspersoft.jasperserver.irplugin.gui.dndobjects.FileObject

    public class FileObject

extends it.businesslogic.ireport.gui.library.AbstractLibraryObject

Author:
  Administrator

Constructor Summary
`FileObject(RepositoryFolder repositoryFile)` Creates a new instance of PageNumberObject

Method Summary
`void` | `drop(java.awt.dnd.DropTargetDropEvent dtde)`
`java.lang.String` | `getName()`
`RepositoryFolder` | `getRepositoryFile()`
`void` | `setRepositoryFile(RepositoryFolder repositoryFile)`

Methods inherited from class it.businesslogic.ireport.gui.library.AbstractLibraryObject
`addField, addParameter, addVariable, getIcon, getReport, getReportFrame, toString, updateAllUI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileObject

    public FileObject(RepositoryFolder repositoryFile)

  Creates a new instance of PageNumberObject

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `it.businesslogic.ireport.gui.library.AbstractLibraryObject`

### drop

    public void drop(java.awt.dnd.DropTargetDropEvent dtde)

  Specified by:
    `drop` in class `it.businesslogic.ireport.gui.library.AbstractLibraryObject`

### getRepositoryFile

    public RepositoryFolder getRepositoryFile()

### setRepositoryFile

    public void setRepositoryFile(RepositoryFolder repositoryFile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.